package models

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type CygxBannerHistory struct {
	Id               int `orm:"column(id);pk"`
	BannerId         int `description:"BannerId等于0新增，大于零修改"`
	UserId           int
	CreateTime       time.Time
	Mobile           string    `description:"手机号"`
	Email            string    `description:"邮箱"`
	CompanyId        int       `description:"公司id"`
	CompanyName      string    `description:"公司名称"`
	ModifyTime       time.Time `description:"修改时间"`
	RealName         string    `description:"用户实际名称"`
	SellerName       string    `description:"所属销售"`
	RegisterPlatform int       `description:"来源 1小程序，2：网页"`
}

// 添加历史信息
func AddCygxBannerHistory(item *CygxBannerHistory) (lastId int64, err error) {
	o := orm.NewOrm()
	item.ModifyTime = time.Now()
	lastId, err = o.Insert(item)
	return
}
